# Find the current user and list admin users
$username = $env:username
$admin_users = @("user1", "user2")

# Map network shares that all users should have, and rename the drives to a prettier name
(New-Object -ComObject WScript.Network).MapNetworkDrive("Z:", "\\merkur\Common")
(New-Object -ComObject Shell.Application).NameSpace("Z:\").Self.Name = "Common"

(New-Object -ComObject WScript.Network).MapNetworkDrive("X:", "\\merkur\Movies")
(New-Object -ComObject Shell.Application).NameSpace("X:\").Self.Name = "Movies"

(New-Object -ComObject WScript.Network).MapNetworkDrive("W:", "\\merkur\Photos")
(New-Object -ComObject Shell.Application).NameSpace("W:\").Self.Name = "Photos"

(New-Object -ComObject WScript.Network).MapNetworkDrive("Y:", "\\merkur\Music")
(New-Object -ComObject Shell.Application).NameSpace("Y:\").Self.Name = "Music"

# Map Admin share for members listed in admin_users array
if ($admin_users -contains $username) {
  (New-Object -ComObject WScript.Network).MapNetworkDrive("Q:", "\\merkur\Admin")
  (New-Object -ComObject Shell.Application).NameSpace("Q:\").Self.Name = "Admin"
}


